Activity log for bug #1517137

Date Who What changed Old value New value Message
2015-11-17 17:04:22 Josh Stompro bug added bug
2015-11-17 17:04:42 Josh Stompro evergreen: assignee Josh Stompro (u-launchpad-stompro-org)
2015-11-18 16:58:30 Yamil bug added subscriber Yamil
2015-11-21 17:06:42 Josh Stompro description EG 2.7+ There are several(7) bugs having to do with permissions being missing from the default install. This bug aims to combine them all into one update to make them easier to test. Some of the issues that need to be considered are: - Adding permissions that may already have been added locally. - Adding permissions to default permission groups. - Renumbering locally added permissions to align with what the seed data has. Bugs to include: - https://bugs.launchpad.net/evergreen/+bug/1488511 - ADMIN_PROXIMITY_ADJUSTMENT - https://bugs.launchpad.net/evergreen/+bug/1512486 - MARK_ITEM_DAMAGED - https://bugs.launchpad.net/evergreen/+bug/1299148 - Authorities Control Sets - Overrides - https://bugs.launchpad.net/evergreen/+bug/1254826 - PATRON_EXCEEDS_LOST_COUNT - https://bugs.launchpad.net/evergreen/+bug/1320301 - MAX_HOLDS - https://bugs.launchpad.net/evergreen/+bug/1456301 - ITEM_DEPOSIT_REQUIRED - ITEM_DEPOSIT_PAID - https://bugs.launchpad.net/evergreen/+bug/1479371 - COPY_STATUS_LOST_AND_PAID If there are any that I missed please let me know and I'll add those also. Josh EG 2.7+ There are several(7) bugs having to do with permissions being missing from the default install. This bug aims to combine them all into one update to make them easier to test. Some of the issues that need to be considered are:   - Adding permissions that may already have been added locally.   - Adding permissions to default permission groups.   - Renumbering locally added permissions to align with what the seed data has. - Required PGTap tests. Bugs to include:   - https://bugs.launchpad.net/evergreen/+bug/1488511 ADMIN_PROXIMITY_ADJUSTMENT   - https://bugs.launchpad.net/evergreen/+bug/1512486 MARK_ITEM_DAMAGED   - https://bugs.launchpad.net/evergreen/+bug/1299148 Authorities Control Sets - Overrides   - https://bugs.launchpad.net/evergreen/+bug/1254826 PATRON_EXCEEDS_LOST_COUNT   - https://bugs.launchpad.net/evergreen/+bug/1320301 MAX_HOLDS   - https://bugs.launchpad.net/evergreen/+bug/1456301 ITEM_DEPOSIT_REQUIRED ITEM_DEPOSIT_PAID   - https://bugs.launchpad.net/evergreen/+bug/1479371 COPY_STATUS_LOST_AND_PAID - Others without bug reports ITEM_NOT_HOLDABLE - Allow a user to place a hold when a copy is not holdable. ACTOR_USER_DELETE_OPEN_XACTS - Allow a user to delete a patron who has open transactions. If there are any that I missed please let me know and I'll add those also. Josh Edit: 2015-11-21 - changed formatting for readability. Added Permissions that mmorgan brought up.
2017-02-03 21:14:37 Jason Boyer evergreen: milestone 2.12-beta
2017-02-03 21:14:44 Jason Boyer tags permissions permissions pullrequest
2017-02-05 03:38:26 Josh Stompro evergreen: assignee Josh Stompro (u-launchpad-stompro-org)
2017-02-07 03:04:30 Kathy Lussier evergreen: status New Confirmed
2017-02-07 03:04:33 Kathy Lussier evergreen: importance Undecided Wishlist
2017-02-17 06:43:02 Kathy Lussier evergreen: status Confirmed Fix Committed
2017-02-22 20:54:56 Evergreen Bug Maintenance evergreen: status Fix Committed Fix Released